﻿@page "{playerId}/{gameId}/{roundId}/{id}"
@model Dixit.Pages.AddDescriptionModel
@{
}

<br />
<h1 class="d-flex justify-content-center">Storyteller</h1>
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            <div style="padding-bottom:15px;">
                Your chosen card
            </div>
            <partial name="_SelectedCard" model="Model.ChosenCard"/>
        </div>
        <div class="col-4" style="text-align:center;font-size:25px;padding-bottom:15px;">
            <div style="padding-bottom:15px;">
                Give description of the card
            </div>
            <form method="post">
                <div>
                    <textarea asp-for="CardDescription"></textarea>
                </div>
                <div>
                    <input type="submit" value="Confirm" class="btn btn-primary"/>
                </div>
            </form>
        </div>
        <div class="col-4" >
            <div style="padding-bottom:15px;text-align:center;font-size:25px;padding-bottom:15px;">
                Current results
            </div>
            <partial name="_RoundAndGamePoints" model="Model.PlayersPoints" />
        </div>
    </div>
    <div class="row">
        <partial name="_RemainingCards" model="Model.RemainingCards"/>
    </div>
</div>

